=== modified file 'UpdateNotes.txt'
--- UpdateNotes.txt	2013-01-08 20:24:17 +0000
+++ UpdateNotes.txt	2013-01-09 17:21:54 +0000
@@ -4,6 +4,8 @@
                       zzww interactions. (See bug #1095603. Thanks to Tim Lu) 
                   OM: Fix problem in the ./bin/mg5 file command when some question are 
                       present in the file.
+                  OM: Fix a crash in multi_run for more than 300 successive runs.
+                      (Thanks to Diptimoy)
                     
 1.5.6 (20/12/12)  JA: Replaced error with warning when there are decay processes
                       without corresponding core processes final state (see 

=== modified file 'madgraph/VERSION'
--- madgraph/VERSION	2012-12-20 08:29:35 +0000
+++ madgraph/VERSION	2013-01-09 17:21:54 +0000
@@ -1,3 +1,3 @@
-version = 1.5.6
-date = 2012-12-20
+version = 1.5.7.beta
+date = 2013-01-09
 

=== modified file 'madgraph/interface/madevent_interface.py'
--- madgraph/interface/madevent_interface.py	2012-11-13 07:20:35 +0000
+++ madgraph/interface/madevent_interface.py	2013-01-09 17:21:54 +0000
@@ -2510,7 +2510,7 @@
     ############################################################################      
     def do_refine(self, line):
         """Advanced commands: launch survey for the current process """
-        devnull = os.open(os.devnull, os.O_RDWR)  
+        devnull = open(os.devnull, 'w')  
         self.nb_refine += 1
         args = self.split_arg(line)
         # Check argument's validity
@@ -2590,6 +2590,7 @@
         self.results.add_detail('error', error)   
 
         self.update_status('finish refine', 'parton', makehtml=False)
+        devnull.close()
         
     ############################################################################ 
     def do_combine_events(self, line):
@@ -2729,7 +2730,7 @@
 
         run = self.run_name
         tag = self.run_card['run_tag']
-        devnull = os.open(os.devnull, os.O_RDWR)
+        devnull = open(os.devnull, 'w')
 
         if not os.path.exists(pjoin(self.me_dir, 'Events', run)):
             os.mkdir(pjoin(self.me_dir, 'Events', run))
@@ -2792,6 +2793,7 @@
                 misc.call(['gzip', output], stdout=devnull, stderr=devnull, 
                                                                      cwd=O_path) 
         self.update_status('End Parton', level='parton', makehtml=False)
+        devnull.close()
 
     ############################################################################ 
     def do_create_gridpack(self, line):
@@ -3890,12 +3892,13 @@
             self.update_status('', level=None)
         except Exception, error:         
             pass
+        devnull = open(os.devnull, 'w')
         try:
-            devnull = os.open(os.devnull, os.O_RDWR) 
             misc.call(['./bin/internal/gen_cardhtml-pl'], cwd=self.me_dir,
                         stdout=devnull, stderr=devnull)
         except:
             pass
+        devnull.close()
 
         return super(MadEventCmd, self).do_quit(line)
     
@@ -4650,6 +4653,7 @@
         self.total_jobs = 0
         subproc = [P for P in os.listdir(pjoin(self.me_dir,'SubProcesses')) if 
                    P.startswith('P') and os.path.isdir(pjoin(self.me_dir,'SubProcesses', P))]
+        devnull = os.open(os.devnull, os.O_RDWR)
         for nb_proc,subdir in enumerate(subproc):
             subdir = subdir.strip()
             Pdir = pjoin(self.me_dir, 'SubProcesses',subdir)
@@ -4661,7 +4665,7 @@
                 if os.path.basename(match)[:4] in ['ajob', 'wait', 'run.', 'done']:
                     os.remove(pjoin(Pdir, match))
             
-            devnull = os.open(os.devnull, os.O_RDWR)
+
             logfile = pjoin(Pdir, 'gen_ximprove.log')
             proc = misc.Popen([pjoin(bindir, 'gen_ximprove')],
                                     stdin=subprocess.PIPE,
@@ -4702,6 +4706,7 @@
         
         
         self.update_status('finish refine', 'parton', makehtml=False)
+        devnull.close()
 
 
 class AskforEditCard(cmd.OneLinePathCompletion):

=== modified file 'madgraph/interface/madgraph_interface.py'
--- madgraph/interface/madgraph_interface.py	2012-11-16 22:49:13 +0000
+++ madgraph/interface/madgraph_interface.py	2013-01-09 17:21:54 +0000
@@ -3053,7 +3053,7 @@
         else:
             misc.call(['wget', path[args[0]], '--output-document=%s.tgz'% name], cwd=MG5DIR)
         # Untar the file
-        returncode = misc.call(['tar', '-xzpvf', '%s.tgz' % name], cwd=MG5DIR, 
+        returncode = misc.call(['tar', '-xzpf', '%s.tgz' % name], cwd=MG5DIR, 
                                      stdout=open(os.devnull, 'w'))
         if returncode:
             raise MadGraph5Error, 'Fail to download correctly the File. Stop'

